Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGridSynchronizedTemplates3D Class Reference

`#include <vtkGridSynchronizedTemplates3D.h>`

Inheritance diagram for vtkGridSynchronizedTemplates3D:

[legend]
Collaboration diagram for vtkGridSynchronizedTemplates3D:

[legend]
List of all members.

## Detailed Description

generate isosurface from structured grids

Date:
  2003/01/09 19:21:05

Revision:
  1.32

vtkGridSynchronizedTemplates3D is a 3D implementation of the synchronized template algorithm.

Warning:
  This filter is specialized to 3D grids.

See also:
  vtkContourFilter vtkSynchronizedTemplates3D

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (68%)
  - Schroeder, Will (10%)
  - Geveci, Berk (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Patented/vtkGridSynchronizedTemplates3D.cxx)`
  - .`h` (`/Patented/vtkGridSynchronizedTemplates3D.h)`

Definition at line 65 of file vtkGridSynchronizedTemplates3D.h.

## Public Types
typedef vtkStructuredGridToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long int | GetMTime ()
void | SetValue (int i, float value)
float | GetValue (int i)
float * | GetValues ()
void | SetInputMemoryLimit (long limit)
virtual void | SetComputeNormals (int)
virtual int | GetComputeNormals ()
virtual void | ComputeNormalsOn ()
virtual void | ComputeNormalsOff ()
virtual void | SetComputeGradients (int)
virtual int | GetComputeGradients ()
virtual void | ComputeGradientsOn ()
virtual void | ComputeGradientsOff ()
virtual void | SetComputeScalars (int)
virtual int | GetComputeScalars ()
virtual void | ComputeScalarsOn ()
virtual void | ComputeScalarsOff ()
void | GetValues (float *contourValues)
void | SetNumberOfContours (int number)
int | GetNumberOfContours ()
void | GenerateValues (int numContours, float range[2])
void | GenerateValues (int numContours, float rangeStart, float rangeEnd)
int * | GetExecuteExtent ()
void | ThreadedExecute (int *exExt, int threadId)
virtual void | SetNumberOfThreads (int)
virtual int | GetNumberOfThreads ()
## Static Public Methods
vtkGridSynchronizedTemplates3D * | New ()
int | IsTypeOf (const char *type)
vtkGridSynchronizedTemplates3D * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkGridSynchronizedTemplates3D ()
| ~vtkGridSynchronizedTemplates3D ()
void | Execute ()
void | ExecuteInformation ()
void | ComputeInputUpdateExtents (vtkDataObject *output)
virtual void | SetInputScalarsSelection (const char *)
virtual char * | GetInputScalarsSelection ()
void | SelectInputScalars (const char *fieldName)
## Protected Attributes
int | ComputeNormals
int | ComputeGradients
int | ComputeScalars
vtkContourValues * | ContourValues
int | NumberOfThreads
vtkMultiThreader * | Threader
int | MinimumPieceSize [3]
int | ExecuteExtent [6]
vtkPolyData * | Threads [VTK_MAX_THREADS]
char * | InputScalarsSelection
## Friends
class VTK_PATENTED_EXPORT | vtkKitwareContourFilter

## Member Typedef Documentation

typedef vtkStructuredGridToPolyDataFilter vtkGridSynchronizedTemplates3D::Superclass

| Reimplemented from vtkStructuredGridToPolyDataFilter. Definition at line 69 of file vtkGridSynchronizedTemplates3D.h.

## Constructor & Destructor Documentation

vtkGridSynchronizedTemplates3D::vtkGridSynchronizedTemplates3D | ( |  | ) | `[protected]`

vtkGridSynchronizedTemplates3D::~vtkGridSynchronizedTemplates3D | ( |  | ) | `[protected]`

## Member Function Documentation

vtkGridSynchronizedTemplates3D* vtkGridSynchronizedTemplates3D::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkGridSynchronizedTemplates3D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridToPolyDataFilter.

int vtkGridSynchronizedTemplates3D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToPolyDataFilter.

virtual int vtkGridSynchronizedTemplates3D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridToPolyDataFilter.

vtkGridSynchronizedTemplates3D* vtkGridSynchronizedTemplates3D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridToPolyDataFilter.

void vtkGridSynchronizedTemplates3D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridToPolyDataFilter.

unsigned long int vtkGridSynchronizedTemplates3D::GetMTime | ( |  | ) | `[virtual]`

| Because we delegate to vtkContourValues Reimplemented from vtkObject.

virtual void vtkGridSynchronizedTemplates3D::SetComputeNormals | ( | int |  | ) | `[virtual]`

| Set/Get the computation of normals. Normal computation is fairly expensive in both time and storage. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual int vtkGridSynchronizedTemplates3D::GetComputeNormals | ( |  | ) | `[virtual]`

| Set/Get the computation of normals. Normal computation is fairly expensive in both time and storage. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual void vtkGridSynchronizedTemplates3D::ComputeNormalsOn | ( |  | ) | `[virtual]`

| Set/Get the computation of normals. Normal computation is fairly expensive in both time and storage. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual void vtkGridSynchronizedTemplates3D::ComputeNormalsOff | ( |  | ) | `[virtual]`

| Set/Get the computation of normals. Normal computation is fairly expensive in both time and storage. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual void vtkGridSynchronizedTemplates3D::SetComputeGradients | ( | int |  | ) | `[virtual]`

| Set/Get the computation of gradients. Gradient computation is fairly expensive in both time and storage. Note that if ComputeNormals is on, gradients will have to be calculated, but will not be stored in the output dataset. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual int vtkGridSynchronizedTemplates3D::GetComputeGradients | ( |  | ) | `[virtual]`

| Set/Get the computation of gradients. Gradient computation is fairly expensive in both time and storage. Note that if ComputeNormals is on, gradients will have to be calculated, but will not be stored in the output dataset. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual void vtkGridSynchronizedTemplates3D::ComputeGradientsOn | ( |  | ) | `[virtual]`

| Set/Get the computation of gradients. Gradient computation is fairly expensive in both time and storage. Note that if ComputeNormals is on, gradients will have to be calculated, but will not be stored in the output dataset. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual void vtkGridSynchronizedTemplates3D::ComputeGradientsOff | ( |  | ) | `[virtual]`

| Set/Get the computation of gradients. Gradient computation is fairly expensive in both time and storage. Note that if ComputeNormals is on, gradients will have to be calculated, but will not be stored in the output dataset. If the output data will be processed by filters that modify topology or geometry, it may be wise to turn Normals and Gradients off.

virtual void vtkGridSynchronizedTemplates3D::SetComputeScalars | ( | int |  | ) | `[virtual]`

| Set/Get the computation of scalars.

virtual int vtkGridSynchronizedTemplates3D::GetComputeScalars | ( |  | ) | `[virtual]`

| Set/Get the computation of scalars.

virtual void vtkGridSynchronizedTemplates3D::ComputeScalarsOn | ( |  | ) | `[virtual]`

| Set/Get the computation of scalars.

virtual void vtkGridSynchronizedTemplates3D::ComputeScalarsOff | ( |  | ) | `[virtual]`

| Set/Get the computation of scalars.

void vtkGridSynchronizedTemplates3D::SetValue | ( | int | i,
|  | float | value
| ) | `[inline]`

| Set a particular contour value at contour number i. The index i ranges between 0<=i<NumberOfContours. Definition at line 106 of file vtkGridSynchronizedTemplates3D.h.

float vtkGridSynchronizedTemplates3D::GetValue | ( | int | i | ) | `[inline]`

| Get the ith contour value. Definition at line 109 of file vtkGridSynchronizedTemplates3D.h.

float* vtkGridSynchronizedTemplates3D::GetValues | ( |  | ) | `[inline]`

| Get a pointer to an array of contour values. There will be GetNumberOfContours() values in the list. Definition at line 113 of file vtkGridSynchronizedTemplates3D.h.

void vtkGridSynchronizedTemplates3D::GetValues | ( | float * | contourValues | ) | `[inline]`

| Fill a supplied list with contour values. There will be GetNumberOfContours() values in the list. Make sure you allocate enough memory to hold the list. Definition at line 119 of file vtkGridSynchronizedTemplates3D.h.

void vtkGridSynchronizedTemplates3D::SetNumberOfContours | ( | int | number | ) | `[inline]`

| Set the number of contours to place into the list. You only really need to use this method to reduce list size. The method SetValue() will automatically increase list size as needed. Definition at line 127 of file vtkGridSynchronizedTemplates3D.h.

int vtkGridSynchronizedTemplates3D::GetNumberOfContours | ( |  | ) | `[inline]`

| Get the number of contours in the list of contour values. Definition at line 133 of file vtkGridSynchronizedTemplates3D.h.

void vtkGridSynchronizedTemplates3D::GenerateValues | ( | int | numContours,
|  | float | range[2]
| ) | `[inline]`

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Definition at line 140 of file vtkGridSynchronizedTemplates3D.h.

void vtkGridSynchronizedTemplates3D::GenerateValues | ( | int | numContours,
|  | float | rangeStart,
|  | float | rangeEnd
| ) | `[inline]`

| Generate numContours equally spaced contour values between specified range. Contour values will include min/max range values. Definition at line 147 of file vtkGridSynchronizedTemplates3D.h.

int* vtkGridSynchronizedTemplates3D::GetExecuteExtent | ( |  | ) | `[inline]`

| Needed by templated functions. Definition at line 153 of file vtkGridSynchronizedTemplates3D.h.

void vtkGridSynchronizedTemplates3D::ThreadedExecute | ( | int * | exExt,
|  | int | threadId
| ) |

| Needed by templated functions.

virtual void vtkGridSynchronizedTemplates3D::SetNumberOfThreads | ( | int |  | ) | `[virtual]`

| Get/Set the number of threads to create when rendering

virtual int vtkGridSynchronizedTemplates3D::GetNumberOfThreads | ( |  | ) | `[virtual]`

| Get/Set the number of threads to create when rendering

void vtkGridSynchronizedTemplates3D::SetInputMemoryLimit | ( | long | limit | ) |

| This filter will initiate streaming so that no piece requested from the input will be larger than this value (KiloBytes).

virtual char* vtkGridSynchronizedTemplates3D::GetInputScalarsSelection | ( |  | ) | `[protected, virtual]`

| If you want to contour by an arbitrary array, then set its name here. By default this in NULL and the filter will use the active scalar array.

void vtkGridSynchronizedTemplates3D::SelectInputScalars | ( | const char * | fieldName | ) | `[inline, protected]`

| If you want to contour by an arbitrary array, then set its name here. By default this in NULL and the filter will use the active scalar array. Definition at line 176 of file vtkGridSynchronizedTemplates3D.h.

void vtkGridSynchronizedTemplates3D::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

void vtkGridSynchronizedTemplates3D::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkSource.

void vtkGridSynchronizedTemplates3D::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| What is the input update extent that is required to produce the desired output? By default, the whole input is always required but this is overridden in many subclasses. Reimplemented from vtkPolyDataSource.

virtual void vtkGridSynchronizedTemplates3D::SetInputScalarsSelection | ( | const char * |  | ) | `[protected, virtual]`

## Friends And Related Function Documentation

friend class VTK_PATENTED_EXPORT vtkKitwareContourFilter`[friend]`

| Definition at line 202 of file vtkGridSynchronizedTemplates3D.h.

## Member Data Documentation

int vtkGridSynchronizedTemplates3D::ComputeNormals`[protected]`

| Definition at line 185 of file vtkGridSynchronizedTemplates3D.h.

int vtkGridSynchronizedTemplates3D::ComputeGradients`[protected]`

| Definition at line 186 of file vtkGridSynchronizedTemplates3D.h.

int vtkGridSynchronizedTemplates3D::ComputeScalars`[protected]`

| Definition at line 187 of file vtkGridSynchronizedTemplates3D.h.

vtkContourValues* vtkGridSynchronizedTemplates3D::ContourValues`[protected]`

| Definition at line 188 of file vtkGridSynchronizedTemplates3D.h.

int vtkGridSynchronizedTemplates3D::NumberOfThreads`[protected]`

| Definition at line 190 of file vtkGridSynchronizedTemplates3D.h.

vtkMultiThreader* vtkGridSynchronizedTemplates3D::Threader`[protected]`

| Definition at line 191 of file vtkGridSynchronizedTemplates3D.h.

int vtkGridSynchronizedTemplates3D::MinimumPieceSize[3]`[protected]`

| Definition at line 192 of file vtkGridSynchronizedTemplates3D.h.

int vtkGridSynchronizedTemplates3D::ExecuteExtent[6]`[protected]`

| Definition at line 193 of file vtkGridSynchronizedTemplates3D.h.

vtkPolyData* vtkGridSynchronizedTemplates3D::Threads[VTK_MAX_THREADS]`[protected]`

| Definition at line 195 of file vtkGridSynchronizedTemplates3D.h.

char* vtkGridSynchronizedTemplates3D::InputScalarsSelection`[protected]`

| Definition at line 197 of file vtkGridSynchronizedTemplates3D.h.

The documentation for this class was generated from the following file:

- Patented/vtkGridSynchronizedTemplates3D.h